searchData={"items":[{"type":"module","title":"LiveToast","doc":"LiveComponent for displaying toast messages.","ref":"LiveToast.html"},{"type":"function","title":"LiveToast.send_toast/3","doc":"Merges a new toast message into the current toast list.","ref":"LiveToast.html#send_toast/3"},{"type":"function","title":"LiveToast.toast_group/1","doc":"toast_group/1 is just a small Phoenix.Component wrapper around the LiveComponent for toasts.\nYou can use the LiveComponent directly if you prefer, this is just a convenience.","ref":"LiveToast.html#toast_group/1"},{"type":"function","title":"Attributes - LiveToast.toast_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.\n* `id` (`:string`) - the optional id of flash container. Defaults to `\"toast-group\"`.","ref":"LiveToast.html#toast_group/1-attributes"},{"type":"extras","title":"Live Toast","doc":"# Live Toast\n\n![CI](https://github.com/srcrip/live_toast/workflows/CI/badge.svg) [![Hex](https://img.shields.io/hexpm/v/live_toast)](https://hex.pm/packages/live_toast)\n\nLive Toast is a drop-in replacement for the flash system in Phoenix/LiveView.","ref":"readme.html"},{"type":"extras","title":"Installation - Live Toast","doc":"Add `live_toast` to your list of dependencies in the `mix.exs` of your Phoenix\napplication:\n\n```elixir\ndef deps do\n  [\n    {:live_toast, \"~> 0.1.0\"}\n  ]\nend\n```\n\nNext open up your `app.js` and import/setup the hook:\n\n```javascript\nimport { createLiveToastHook } from 'live_toast'\n\nlet liveSocket = new LiveSocket('/live', Socket, {\n  hooks: {\n    LiveToast: createLiveToastHook()\n  }\n})\n```\n\nThen, add `'../deps/live_toast/lib/**/*.*ex'` to your list of paths Tailwind will look for class names, in your\n`tailwind.config.js`:\n\n```javascript\n// assets/tailwind.config.js\n\nmodule.exports = {\n  content: [\n    './js/**/*.js',\n    '../lib/your_app_web.ex',\n    '../lib/your_app_web/**/*.*ex',\n    '../deps/live_toast/lib/**/*.*ex',\n  ]\n}\n```\n\nYour particular file will look different but all you need to do is make sure the last line is there.\n\nNote that the classes are currently hardcoded. Configuration of the toast components, and therefore there styling, are\non the roadmap. But the default styles should look pretty good in the mean time.\n\nFinally, replace your `<.flash_group />` component with the new ` `. It's most likely in your\n`app.html.heex`:\n\n```eex\n<!-- Remove this! -->\n<.flash_group flash={@flash} />\n\n<!-- And replace it with this: -->\n \n\n<%= @inner_content %>\n```\n\nAnd you're done!","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Live Toast","doc":"`LiveToast` will hijack the usual display of your flash messages, so they will continue to work as normal. You can\ncontinue to use flashes as normal, if you want to.\n\nHowever, one of the reasons to *not* use flash messages, is the Phoenix flash system only allows one message for each\nkind of flash. The toast pattern, alternatively, generally allows for multiple messages displayed to the user at at time.\n\nFrom a LiveView, you can now use `put_toast` similar to how you may use `put_flash`:\n\n```elixir\ndefmodule YourApp.SomeLiveView do\n  def handle_event(\"submit\", _payload, socket) do\n    # you do some thing with the payload, then you want to show a toast, so:\n    LiveToast.send_toast(:info, \"Upload successful.\")\n\n    {:noreply, socket}\n  end\nend\n```\n\nAnd that's pretty much it.","ref":"readme.html#usage"},{"type":"extras","title":"Roadmap - Live Toast","doc":"Some of the stuff still to work on:\n\n- [ ] Improved docs\n- [ ] Configuration for the classes on toasts\n- [ ] Tests\n- [ ] More configuration for the animations","ref":"readme.html#roadmap"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\n## [v0.1.0] (2024-03-06)\n\n🚀 Initial release.","ref":"changelog.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}